#pragma once
#include <QObject>

class Device : public QObject {
  Q_OBJECT
  Q_PROPERTY(QString name READ name WRITE setName NOTIFY nameChanged)

public:
  explicit Device(const QString &name);

  const QString &name() const { return m_name; }

public slots:
  void setName(const QString &name) {
    if (m_name == name)
      return;
    m_name = name;
    emit nameChanged(m_name);
  }
signals:
  void nameChanged(const QString &name);

private:
  QString m_name;
};
