#pragma once
#include <Device.h>
#include <QList>
#include <QObject>

class DeviceHandler : public QObject {
  Q_OBJECT
  Q_PROPERTY(QList<Device *> devices READ devices WRITE setDevices NOTIFY
                 devicesChanged)

public:
  explicit DeviceHandler(QObject *parent = nullptr);

  const QList<Device *> &devices() const { return m_devices; }

public slots:
  void setDevices(const QList<Device *> &devices) {
    if (m_devices == devices)
      return;
    m_devices = devices;
    emit devicesChanged(m_devices);
  }

signals:
  void devicesChanged(const QList<Device *> &devices);

private:
  QList<Device *> m_devices;
};
