#include "Device.h"
#include "DeviceHandler.h"
#include <QGuiApplication>
#include <QList>
#include <QQmlApplicationEngine>

int main(int argc, char *argv[]) {

  QGuiApplication app(argc, argv);

  // Calling this results in an immidiate assert:
  // qRegisterMetaType<QList<Device *>>("QList<Device*>");
  QList<Device *> devices;

  // Lets ignore the memory leak :)
  devices.push_back(new Device("Device 1"));
  devices.push_back(new Device("Device 2"));
  devices.push_back(new Device("Device 3"));

  DeviceHandler deviceHandler;
  deviceHandler.setDevices(devices);

  qmlRegisterSingletonInstance<DeviceHandler>("DeviceHanlder", 1, 0, "Devices",
                                              &deviceHandler);

  QQmlApplicationEngine engine;
  engine.load("qrc:/main.qml");

  return app.exec();
}
